# -*- rpm-spec -*-
# $Id: tcl-trf,v 1.8 2002/10/01 09:49:03 lioka Exp $

%define teaname trf
%define uver p2

Name: tcl-%teaname
Version: 2.1
Release: alt2

Summary: A tcl extension called Tcl Data transformations
License: BSD
Group: Development/Tcl
Url: http://www.oche.de/~akupries/soft/trf/

Source0: %url/download/%teaname%version%uver.tar.bz2
Patch0: trf-libcrypt.patch

Requires: tcl >= 8.4.0-alt1
BuildRequires: openssl-devel tcl-devel >= 8.4.0-alt1 bzlib-devel zlib-devel

%package devel
Summary: Header files and C programming manual for Trf
Group: Development/C
Requires: %name = %version-%release

%description
%name is a collection of data transformation:
- generation of message digests (hash values, checksums)
  MD2, MD5, SHA/SHS, SHA-1, HAVAL, RIPEMD-128, -160,
  CRC (polynomial used by PGP),  ADLER (based upon zlib)
- conversion from and to various data encodings:
  dual, octal, hexadecimal representation, uuencoding,
  base64-encoding, ASCII85-encoding
- a reed-solomon error correcting coder.
- (de)compression based on zlib (if available as shared library)

%description devel
%name is a collection of data transformation:
- generation of message digests (hash values, checksums)
  MD2, MD5, SHA/SHS, SHA-1, HAVAL, RIPEMD-128, -160,
  CRC (polynomial used by PGP),  ADLER (based upon zlib)
- conversion from and to various data encodings:
  dual, octal, hexadecimal representation, uuencoding,
  base64-encoding, ASCII85-encoding
- a reed-solomon error correcting coder.
- (de)compression based on zlib (if available as shared library)

This package includes header files and C programming manual for Trf.

%prep
%setup -q -n %teaname%version%uver
%patch -p1

%build
%__chmod ug+w configure
%__autoconf
%configure
%make_build

%install
%tea_makeinstall TCLSH_PROG=:
%tea_makeindex -v
%__mkdir_p %buildroot%_man3dir
%__install -p -m0644 doc/man/* %buildroot%_man3dir

%files
%doc ANNOUNCE README doc/license.terms doc/html
%_tcllibdir/libTrf2.1.so
%_tcldatadir/%teaname

%files devel
%_includedir/*
%_tcllibdir/libTrfstub2.1.a
%_man3dir/*

%changelog
* Wed Sep 25 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.1-alt2
- rebuilt in new env

* Tue Aug  6 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.1-alt1
- first build for %distribution
